public class gastest2
{
public static void main(String arg[])
{
Gas g1=new Gas("co2");
Gas g2=new Gas("ch4");
Gas g3=new Gas("o2");
Gas g4=new Gas("n2");
Gas g5=new Gas("h2o");
double t1=298.0; //derece K
double t2=298.0; //derece K
double p1=1.01325;//bar
double a1[]=g1.property(t2,p1);
double a2[]=g2.property(t1,p1);
double a3[]=g3.property(t1,p1);
double a4[]=g4.property(t1,p1);
double a5[]=g5.property(t2,p1);
double a3a[]=g3.property(t2,p1);
double a4a[]=g4.property(t2,p1);
double h1=1.0*a2[7]+2.4*a3[7]+2.4*79/21*a4[7];
double h2=1.0*a1[7]+2.0*a5[7]+0.4*a3a[7]+2.4*79/21.0*a4a[7];
double h=h2-h1;
System.out.println("h="+h);


}
}